## armagetronad 0.2.8.3.1

=== debian/changelog ===
armagetronad (0.2.8.3.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Lintian-inspired fixes:
    - Add ${misc:Depends} to debian/control for all binary packages.
    - Add dep on $remote_fs for server initscript.

 -- Christine Spang <christine@debian.org>  Thu, 11 Mar 2010 23:59:27 -0500

armagetronad (0.2.8.3-1) unstable; urgency=low

  * New upstream stable release.
    - Intercepted chat commands are now written to ladderlog.txt. Format:
      COMMAND /command-intercepted player [command arguments]
      - Increased default speed of server pinging
      - Reordered game menus a bit
      - fast finish works again

 -- Christine Spang <christine@debian.org>  Fri, 05 Feb 2010 22:06:18 -0500
