=== debian/control ===
Source: armagetronad
Section: games
Priority: optional
Maintainer: Christine Spang <christine@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), imagemagick, pkg-config, libgl1-mesa-dev,
  libglu1-mesa-dev, libsdl-image1.2-dev (>= 1.2.2), libsdl1.2-dev (>= 1.2.2),
  libsdl-mixer1.2-dev, autotools-dev, libpng12-dev, zlib1g-dev, libxml2-dev
Homepage: http://armagetronad.sourceforge.net/
Vcs-git: git://git.debian.org/git/collab-maint/armagetronad
Vcs-Browser: http://git.debian.org/?p=collab-maint/armagetronad.git

Package: armagetronad-common
Recommends: armagetronad | armagetronad-dedicated
Depends: ${misc:Depends}
Architecture: all
Description: Common files for the Armagetron Advanced packages
 Armagetron Advanced is a 3D game based on the light cycle racing in the 80s-
 era movie "Tron".
 .
 You have to control a light cycle that can only turn in steps of 90 degrees,
 leaves a solid wall behind and can not be stopped.  The aim is to survive the
 longest of all players by not crashing into any walls.
 .
 This package contains the common configuration files and documentation shared
 between the armagetronad and armagetronad-server packages.

Package: armagetronad
Architecture: any
Depends: armagetronad-common (= ${source:Version}), ${shlibs:Depends},
 ${misc:Depends}
Description: 3D Tron-like high speed game
 The rules are simple: you ride a light cycle (a kind of motorbike that can
 only turn 90 degrees at a time, leaves a wall behind and cannot be stopped)
 and have to avoid running into walls while at the same time you have to try to
 get your opponent to run into them.
 .
 The idea is based on the Disney movie from 1982 called "Tron".  If you ever
 wanted to take a try at one of those speed demons features in the movie, this
 is your chance.
 .
 Armagetron Advanced can be played against AI opponents, against other humans
 over the network, or a mixture of both.

Package: armagetronad-dedicated
Architecture: any
Depends: armagetronad-common (= ${source:Version}), adduser, bash (>= 3),
 ${shlibs:Depends}, lsb-base (>= 3.0-6), ${misc:Depends}
Description: dedicated game server for Armagetron Advanced
 Armagetron Advanced is a 3D game based on the light cycle racing in the movie
 "Tron". You have to control a light cycle that can only turn in steps of 90
 degrees, leaves a solid wall behind and can not be stopped.  The aim is to
 survive the longest of all players by not crashing into any walls.
 .
 This version of Armagetron Advanced can only be used as a network game server.
 It does not have graphical output and can be controlled via the text console.
 .
 The normal Armagetron Advanced used for playing is also capable to serve
 games, but will require X to display its graphics, will provide a player and
 is therefore unsuited for permanent game servers.
