=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# (C) 2007 Christine Spang <spang@mit.edu>
# (C) 2002 Andreas Bombe <aeb@debian.org>
# (C) 2000 Marcelo E. Magallon <mmagallo@debian.org>
# Based on sample debhelper rules file, written and released to the
# Public Domain by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
#export CXX=g++-4.3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS := -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# I'm going to assume that this is still true - armagetron relies on
# arithmetics with denormals.
ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),alpha)
	CFLAGS += -mieee
endif

# Special options to ./configure for client and server builds.
SHARED_OPTS := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc --disable-etc --datadir=/usr/share --disable-games --bindir=/usr/games --enable-binreloc CXXFLAGS="$(CFLAGS)" CFLAGS="$(CFLAGS)"
SERVER_OPTS := --disable-glout --disable-useradd --disable-init
CLIENT_OPTS := --enable-glout

INSTALL_EXECUTABLE := install -m 0755 -o root -g root

build: build-client build-server

build-client: build-client-stamp
build-client-stamp: configure-client
	dh_testdir
	$(MAKE) -C client 
	touch $@

configure-client: configure-client-stamp
configure-client-stamp: configure-common
	dh_testdir
	mkdir client || true
	cd client && ../configure $(SHARED_OPTS) $(CLIENT_OPTS)
	touch $@

build-server: build-server-stamp
build-server-stamp: configure-server
	dh_testdir
	$(MAKE) -C server
	touch $@

configure-server: configure-server-stamp
configure-server-stamp: configure-common
	dh_testdir
	mkdir server || true
	cd server && ../configure $(SHARED_OPTS) $(SERVER_OPTS)
	touch $@

configure-common:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

clean:
	dh_testdir
	dh_testroot
	rm -f build-client-stamp configure-client-stamp
	rm -f build-server-stamp configure-server-stamp
	rm -rf client server debian/tmp-client debian/tmp-server
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-client install-dedicated install-common

install-client: build-client-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -parmagetronad

	# Add here commands to install the arch part of the package into 
	# debian/tmp-client.
	$(MAKE) -C client DESTDIR=$(CURDIR)/debian/tmp-client install

	# Fix weird stuff that can't be corrected in the upstream makefile.
	test -d debian/tmp-client/usr/share/games || mkdir -p debian/tmp-client/usr/share/games
	cp -r debian/tmp-client/usr/share/armagetronad debian/tmp-client/usr/share/games/armagetronad
	cp -r debian/tmp-client/usr/games/armagetronad debian/tmp-client/usr/games/armagetronad.real

install-common: build-client-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -parmagetronad-common

install-dedicated: build-server-stamp
	# Commands here to install the server.
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -parmagetronad-dedicated

	$(MAKE) -C server DESTDIR=$(CURDIR)/debian/tmp-server install
	mv debian/tmp-server/usr/games/armagetronad-dedicated debian/tmp-server/usr/games/armagetronad-dedicated.real

binary-arch: armagetronad armagetronad-dedicated

binary-indep: armagetronad-common

armagetronad: DH_OPTIONS = -parmagetronad
armagetronad: build install
	dh_testdir
	dh_testroot
	$(INSTALL_EXECUTABLE) debian/armagetronad.wrapper debian/armagetronad/usr/games
	mv debian/armagetronad/usr/games/armagetronad.wrapper debian/armagetronad/usr/games/armagetronad
	dh_install -parmagetronad --sourcedir=debian/tmp-client
	# Convert icon to xpm format.
	convert debian/armagetronad/usr/share/pixmaps/armagetronad/icons/medium/armagetronad.png debian/armagetronad/usr/share/pixmaps/armagetronad.xpm
	# Fix .desktop file.
	sed 's/Path=\/usr\/bin/Path=\/usr\/games/' -i debian/armagetronad/usr/share/applications/armagetronad.desktop
	sed 's/Icon=armagetronad.png/Icon=\/usr\/share\/pixmaps\/armagetronad\/icons\/large\/armagetronad.png/' -i debian/armagetronad/usr/share/applications/armagetronad.desktop
	sed 's/Categories=Application\;Game\;ActionGame\;GameAction\;ActionGames\;GamesAction\;/Categories=Game\;ActionGame;/' -i debian/armagetronad/usr/share/applications/armagetronad.desktop
	# Clean up cruft.
	rm -rf debian/armagetronad/usr/share/games/armagetronad/desktop
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman debian/armagetronad.6
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

armagetronad-common: DH_OPTIONS = -parmagetronad-common
armagetronad-common: build install
	dh_testdir
	dh_testroot
	dh_install -parmagetronad-common --sourcedir=debian/tmp-client
	# There's no reason to ship this script.
	rm debian/armagetronad-common/usr/share/games/armagetronad/language/update.py
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman
	rm debian/armagetronad-common/etc/armagetronad/rc.config
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

armagetronad-dedicated: DH_OPTIONS = -parmagetronad-dedicated
armagetronad-dedicated: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	$(INSTALL_EXECUTABLE) debian/armagetronad-dedicated.wrapper debian/armagetronad-dedicated/usr/games
	mv debian/armagetronad-dedicated/usr/games/armagetronad-dedicated.wrapper debian/armagetronad-dedicated/usr/games/armagetronad-dedicated
	dh_install --sourcedir=debian/tmp-server -parmagetronad-dedicated
	dh_installdocs
	dh_installmenu
	dh_installman debian/armagetronad-dedicated.6
	dh_installinit
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch armagetronad armagetronad-dedicated armagetronad-common binary install install-common install-client install-dedicated
