## armagetronad 0.2.8.3.2

=== debian/changelog ===
armagetronad (0.2.8.3.2-4) unstable; urgency=medium

  * Add security.patch and fix possible remotely exploitable
    security vulnerabilities that could terminate network connections
    of client and server. (Closes: #780178)

 -- Markus Koschany <apo@gambaru.de>  Tue, 10 Mar 2015 08:00:31 +0100

armagetronad (0.2.8.3.2-3) unstable; urgency=medium

  * Fix all remaining bashisms in armagetronad-dedicated wrapper script by
    removing the run_continuous function. Users are advised to use a real
    monitoring solution like Monit instead.
    As a consequence do not use a second PID file for the server and remove the
    STARTERPIDFILE option from /etc/default/armagetron-dedicated because it is
    useless now. (Closes: #772191)
  * armagetronad.desktop: Fix lintian warning desktop-mime-but-no-exec-code by
    adding %f parameter to Exec key. Add Forwarded header.
  * debian/copyright: Fix wrong path to public-domain licensed files.

 -- Markus Koschany <apo@gambaru.de>  Sat, 06 Dec 2014 11:02:22 +0100

armagetronad (0.2.8.3.2-2) unstable; urgency=medium

  * New maintainer Debian Games Team.
    - Add myself to Uploaders. (Closes: #759144)
  * Drop TODO file.
  * Drop NEWS file. It is obsolete.
  * wrap-and-sort -sa.
  * debian/control:
    - Use compat level 9 and require debhelper >= 9.
    - Declare compliance with Debian Policy 3.9.5.
    - Move packaging to pkg-games VCS.
    - Remove versioned dependencies from build-dependencies. They are trivially
      satisfied now.
    - armagetronad-dedicated: Do not depend on bash anymore. Instead fix
      bashisms in armagetronad-dedicated wrapper script by removing or
      replacing bash specific expressions which are not defined by POSIX.
  * Drop *.dirs files. Creating directories is handled by dh_install and
    compat level 9 now.
  * Update debian/copyright to copyright format 1.0.
    - Add missing Public Domain license.
  * Install armagetronad and armagetronad-dedicated wrappers with install
    files.
  * Install armagetronad.6 and armagetronad-dedicated.6 with manpages files.
  * Switch to dh sequencer and simplify debian/rules.
    - Use DEB_CFLAGS_MAINT_APPEND instead of just CFLAGS for overriding build
      flags on alpha.
    - Build with autotools_dev and parallel.
    - Fix that client and server are compiled twice in a row.
    - Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed to avoid useless
      dependencies.
  * armagetronad-dedicated.6: Fix lintian warning hyphen-used-as-minus-sign.
  * postinst/prerm: Fix lintian warning maintainer-script-without-set-e.
  * Improve watch file. Thanks to Bart Martens.
  * Switch to libpng-dev from libpng12-dev. (Closes: #662271)
  * Move prerm script to postrm.
    - Do not delete armagetronad system user after purge to prevent that the
      package might left unowned files of that user which is a possible
      security risk. Remove /var/games/armagetronad when purging the package
      and recreate it in postinst if necessary.
      (Closes: #668729)
  * Add desktop-file.patch:
    - Create a valid desktop file. Add keywords and a comment in German.
      Do not use sed commands in debian/rules for that anymore.
      (Closes: #433372)
  * Add --enable-authentication to SERVER_OPTS in debian/rules.
    - Enable server side code for the krawall style user authentication.
      (Closes: #725152)
  * Add longtitle to armagetronad.menu.
  * Install icons to appropriate hicolor directories instead of
    /usr/share/pixmaps.
  * Use set -e in wrapper scripts.

 -- Markus Koschany <apo@gambaru.de>  Wed, 27 Aug 2014 22:17:17 +0200

armagetronad (0.2.8.3.2-1) unstable; urgency=low

  * New upstream bugfix release
    - security fix: old style action commands from clients no longer cause
      hangs and crashes
    - security fix: oversized packets are ignored properly
    - security fix: never read one byte outside of the received buffer
    - security fix: only include .cfg files from the var subfolder
    - compiler compatibility: adapted to gcc 4.60 (Closes: #625079)
    - smaller spelling fixes
    - FOV calculations now correct for widescreen and horizontal splitscreen
    - Additional checks against illegal values passed to renderer

  * Reference to armagetronad-server in armageronad-common's
    description should really be armagetronad-dedicated. (Closes: #575468)

  * Incorporate changes from Ubuntu, thanks to Daniel Chen
    <crimsun@ubuntu.com>:
    - debian/rules: Apply patch from upstream to disable uninstall
      script that breaks with newer automake versions.
    - debian/armagetronad-dedicated.wrapper: Apply patch from
      upstream to fix the directory in which the dedicated server
      stores its log files.
      NOTE: This "breaks" ban lists and high scores, though the
      server admin can manually migrate them and then restart the
      server.

 -- Christine Spang <christine@debian.org>  Tue, 20 Sep 2011 20:16:41 -0400
