=== debian/control ===
--- 
+++ 
@@ -1,18 +1,32 @@
 Source: armagetronad
 Section: games
 Priority: optional
-Maintainer: Christine Spang <christine@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), imagemagick, pkg-config, libgl1-mesa-dev,
-  libglu1-mesa-dev, libsdl-image1.2-dev (>= 1.2.2), libsdl1.2-dev (>= 1.2.2),
-  libsdl-mixer1.2-dev, autotools-dev, libpng12-dev, zlib1g-dev, libxml2-dev
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Markus Koschany <apo@gambaru.de>
+Build-Depends:
+ autotools-dev,
+ debhelper (>= 9),
+ imagemagick,
+ libgl1-mesa-dev,
+ libglu1-mesa-dev,
+ libpng-dev,
+ libsdl-image1.2-dev,
+ libsdl-mixer1.2-dev,
+ libsdl1.2-dev,
+ libxml2-dev,
+ pkg-config,
+ zlib1g-dev
+Standards-Version: 3.9.5
 Homepage: http://armagetronad.sourceforge.net/
-Vcs-git: git://git.debian.org/git/collab-maint/armagetronad
-Vcs-Browser: http://git.debian.org/?p=collab-maint/armagetronad.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/armagetronad.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/armagetronad.git
 
 Package: armagetronad-common
-Recommends: armagetronad | armagetronad-dedicated
-Depends: ${misc:Depends}
+Recommends:
+ armagetronad | armagetronad-dedicated
+Depends:
+ ${misc:Depends}
 Architecture: all
 Description: Common files for the Armagetron Advanced packages
  Armagetron Advanced is a 3D game based on the light cycle racing in the 80s-
@@ -23,12 +37,14 @@
  longest of all players by not crashing into any walls.
  .
  This package contains the common configuration files and documentation shared
- between the armagetronad and armagetronad-server packages.
+ between the armagetronad and armagetronad-dedicated packages.
 
 Package: armagetronad
 Architecture: any
-Depends: armagetronad-common (= ${source:Version}), ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ armagetronad-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: 3D Tron-like high speed game
  The rules are simple: you ride a light cycle (a kind of motorbike that can
  only turn 90 degrees at a time, leaves a wall behind and cannot be stopped)
@@ -44,8 +60,12 @@
 
 Package: armagetronad-dedicated
 Architecture: any
-Depends: armagetronad-common (= ${source:Version}), adduser, bash (>= 3),
- ${shlibs:Depends}, lsb-base (>= 3.0-6), ${misc:Depends}
+Depends:
+ adduser,
+ armagetronad-common (= ${source:Version}),
+ lsb-base (>= 3.0-6),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: dedicated game server for Armagetron Advanced
  Armagetron Advanced is a 3D game based on the light cycle racing in the movie
  "Tron". You have to control a light cycle that can only turn in steps of 90
