=== debian/watch ===
version=3
opts=uversionmangle=s/(\db?)[_\-\.](src)$/$1/ \
http://armagetronad.org/downloads.php \
(?:.*/|.*=|)armagetronad[\-\._]?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
